var jsutils_toError = require("../jsutils/toError.js");

var shared = require("../shared.js");

exports.locatedError = function locatedError(rawOriginalError, nodes, path) {
  var _nodes;
  const originalError = jsutils_toError.toError(rawOriginalError);
  if (function isLocatedGraphQLError(error) {
    return Array.isArray(error.path);
  }(originalError)) {
    return originalError;
  }
  return new shared.GraphQLError(originalError.message, {
    nodes: null !== (_nodes = originalError.nodes) && void 0 !== _nodes ? _nodes : nodes,
    source: originalError.source,
    positions: originalError.positions,
    path,
    originalError
  });
};
