exports.memoize3 = function memoize3(fn) {
  let cache0;
  return function memoized(a1, a2, a3) {
    if (void 0 === cache0) {
      cache0 = new WeakMap;
    }
    let cache1 = cache0.get(a1);
    if (void 0 === cache1) {
      cache1 = new WeakMap;
      cache0.set(a1, cache1);
    }
    let cache2 = cache1.get(a2);
    if (void 0 === cache2) {
      cache2 = new WeakMap;
      cache1.set(a2, cache2);
    }
    let fnResult = cache2.get(a3);
    if (void 0 === fnResult) {
      fnResult = fn(a1, a2, a3);
      cache2.set(a3, fnResult);
    }
    return fnResult;
  };
};
