var jsutils_isPromise = require("./isPromise.js");

exports.promiseReduce = function promiseReduce(values, callbackFn, initialValue) {
  let accumulator = initialValue;
  for (const value of values) {
    accumulator = jsutils_isPromise.isPromise(accumulator) ? accumulator.then((resolved => callbackFn(resolved, value))) : callbackFn(accumulator, value);
  }
  return accumulator;
};
