var shared = require("../shared.js");

const nameRe = /^[_\w][_\d\w]*$/;

function assertName(name) {
  if (!nameRe.test(name)) {
    throw new shared.GraphQLError(`Expected name to match ${nameRe}.`);
  }
  return name;
}

exports.assertEnumValueName = function assertEnumValueName(name) {
  if ("true" === name || "false" === name || "null" === name) {
    throw new shared.GraphQLError(`Enum values cannot be named: ${name}`);
  }
  return assertName(name);
};

exports.assertName = assertName;
