var jsutils_naturalCompare = require("../jsutils/naturalCompare.js");

var shared = require("../shared.js");

function sortValueNode(valueNode) {
  switch (valueNode.kind) {
   case shared.e.OBJECT:
    return {
      ...valueNode,
      fields: (fields = valueNode.fields, fields.map((fieldNode => ({
        ...fieldNode,
        value: sortValueNode(fieldNode.value)
      }))).sort(((fieldA, fieldB) => jsutils_naturalCompare.naturalCompare(fieldA.name.value, fieldB.name.value))))
    };

   case shared.e.LIST:
    return {
      ...valueNode,
      values: valueNode.values.map(sortValueNode)
    };

   case shared.e.INT:
   case shared.e.FLOAT:
   case shared.e.STRING:
   case shared.e.BOOLEAN:
   case shared.e.NULL:
   case shared.e.ENUM:
   case shared.e.VARIABLE:
    return valueNode;
  }
  var fields;
}

exports.sortValueNode = sortValueNode;
