import { GraphQLNonNull, GraphQLList } from "../type/definition.mjs";

import { e } from "../shared.mjs";

function typeFromAST(schema, typeNode) {
  switch (typeNode.kind) {
   case e.LIST_TYPE:
    {
      const innerType = typeFromAST(schema, typeNode.type);
      return innerType && new GraphQLList(innerType);
    }

   case e.NON_NULL_TYPE:
    {
      const innerType = typeFromAST(schema, typeNode.type);
      return innerType && new GraphQLNonNull(innerType);
    }

   case e.NAMED_TYPE:
    return schema.getType(typeNode.name.value);
  }
}

export { typeFromAST };
