var jsutils_keyValMap = require("../jsutils/keyValMap.js");

var shared = require("../shared.js");

exports.valueFromASTUntyped = function valueFromASTUntyped(valueNode, variables) {
  switch (valueNode.kind) {
   case shared.e.NULL:
    return null;

   case shared.e.INT:
    return parseInt(valueNode.value, 10);

   case shared.e.FLOAT:
    return parseFloat(valueNode.value);

   case shared.e.STRING:
   case shared.e.ENUM:
   case shared.e.BOOLEAN:
    return valueNode.value;

   case shared.e.LIST:
    return valueNode.values.map((node => valueFromASTUntyped(node, variables)));

   case shared.e.OBJECT:
    return jsutils_keyValMap.keyValMap(valueNode.fields, (field => field.name.value), (field => valueFromASTUntyped(field.value, variables)));

   case shared.e.VARIABLE:
    return null == variables ? void 0 : variables[valueNode.name.value];
  }
};
