var jsutils_groupBy = require("../../jsutils/groupBy.js");

var shared = require("../../shared.js");

exports.UniqueVariableNamesRule = function UniqueVariableNamesRule(context) {
  return {
    OperationDefinition(operationNode) {
      var _operationNode$variab;
      const variableDefinitions = null !== (_operationNode$variab = operationNode.variableDefinitions) && void 0 !== _operationNode$variab ? _operationNode$variab : [];
      const seenVariableDefinitions = jsutils_groupBy.groupBy(variableDefinitions, (node => node.variable.name.value));
      for (const [variableName, variableNodes] of seenVariableDefinitions) {
        if (variableNodes.length > 1) {
          context.reportError(new shared.GraphQLError(`There can be only one variable named "$${variableName}".`, {
            nodes: variableNodes.map((node => node.variable.name))
          }));
        }
      }
    }
  };
};
