var validation_rules_ExecutableDefinitionsRule = require("./rules/ExecutableDefinitionsRule.js");

var validation_rules_FieldsOnCorrectTypeRule = require("./rules/FieldsOnCorrectTypeRule.js");

var validation_rules_FragmentsOnCompositeTypesRule = require("./rules/FragmentsOnCompositeTypesRule.js");

var validation_rules_KnownArgumentNamesRule = require("./rules/KnownArgumentNamesRule.js");

var validation_rules_KnownDirectivesRule = require("./rules/KnownDirectivesRule.js");

var validation_rules_KnownFragmentNamesRule = require("./rules/KnownFragmentNamesRule.js");

var validation_rules_KnownTypeNamesRule = require("./rules/KnownTypeNamesRule.js");

var validation_rules_LoneAnonymousOperationRule = require("./rules/LoneAnonymousOperationRule.js");

var validation_rules_LoneSchemaDefinitionRule = require("./rules/LoneSchemaDefinitionRule.js");

var validation_rules_NoFragmentCyclesRule = require("./rules/NoFragmentCyclesRule.js");

var validation_rules_NoUndefinedVariablesRule = require("./rules/NoUndefinedVariablesRule.js");

var validation_rules_NoUnusedFragmentsRule = require("./rules/NoUnusedFragmentsRule.js");

var validation_rules_NoUnusedVariablesRule = require("./rules/NoUnusedVariablesRule.js");

var validation_rules_OverlappingFieldsCanBeMergedRule = require("./rules/OverlappingFieldsCanBeMergedRule.js");

var validation_rules_PossibleFragmentSpreadsRule = require("./rules/PossibleFragmentSpreadsRule.js");

var validation_rules_PossibleTypeExtensionsRule = require("./rules/PossibleTypeExtensionsRule.js");

var validation_rules_ProvidedRequiredArgumentsRule = require("./rules/ProvidedRequiredArgumentsRule.js");

var validation_rules_ScalarLeafsRule = require("./rules/ScalarLeafsRule.js");

var validation_rules_SingleFieldSubscriptionsRule = require("./rules/SingleFieldSubscriptionsRule.js");

var validation_rules_UniqueArgumentDefinitionNamesRule = require("./rules/UniqueArgumentDefinitionNamesRule.js");

var validation_rules_UniqueArgumentNamesRule = require("./rules/UniqueArgumentNamesRule.js");

var validation_rules_UniqueDirectiveNamesRule = require("./rules/UniqueDirectiveNamesRule.js");

var validation_rules_UniqueDirectivesPerLocationRule = require("./rules/UniqueDirectivesPerLocationRule.js");

var validation_rules_UniqueEnumValueNamesRule = require("./rules/UniqueEnumValueNamesRule.js");

var validation_rules_UniqueFieldDefinitionNamesRule = require("./rules/UniqueFieldDefinitionNamesRule.js");

var validation_rules_UniqueFragmentNamesRule = require("./rules/UniqueFragmentNamesRule.js");

var validation_rules_UniqueInputFieldNamesRule = require("./rules/UniqueInputFieldNamesRule.js");

var validation_rules_UniqueOperationNamesRule = require("./rules/UniqueOperationNamesRule.js");

var validation_rules_UniqueOperationTypesRule = require("./rules/UniqueOperationTypesRule.js");

var validation_rules_UniqueTypeNamesRule = require("./rules/UniqueTypeNamesRule.js");

var validation_rules_UniqueVariableNamesRule = require("./rules/UniqueVariableNamesRule.js");

var validation_rules_ValuesOfCorrectTypeRule = require("./rules/ValuesOfCorrectTypeRule.js");

var validation_rules_VariablesAreInputTypesRule = require("./rules/VariablesAreInputTypesRule.js");

var validation_rules_VariablesInAllowedPositionRule = require("./rules/VariablesInAllowedPositionRule.js");

const specifiedSDLRules = [ validation_rules_LoneSchemaDefinitionRule.LoneSchemaDefinitionRule, validation_rules_UniqueOperationTypesRule.UniqueOperationTypesRule, validation_rules_UniqueTypeNamesRule.UniqueTypeNamesRule, validation_rules_UniqueEnumValueNamesRule.UniqueEnumValueNamesRule, validation_rules_UniqueFieldDefinitionNamesRule.UniqueFieldDefinitionNamesRule, validation_rules_UniqueArgumentDefinitionNamesRule.UniqueArgumentDefinitionNamesRule, validation_rules_UniqueDirectiveNamesRule.UniqueDirectiveNamesRule, validation_rules_KnownTypeNamesRule.KnownTypeNamesRule, validation_rules_KnownDirectivesRule.KnownDirectivesRule, validation_rules_UniqueDirectivesPerLocationRule.UniqueDirectivesPerLocationRule, validation_rules_PossibleTypeExtensionsRule.PossibleTypeExtensionsRule, validation_rules_KnownArgumentNamesRule.KnownArgumentNamesOnDirectivesRule, validation_rules_UniqueArgumentNamesRule.UniqueArgumentNamesRule, validation_rules_UniqueInputFieldNamesRule.UniqueInputFieldNamesRule, validation_rules_ProvidedRequiredArgumentsRule.ProvidedRequiredArgumentsOnDirectivesRule ];

exports.specifiedRules = [ validation_rules_ExecutableDefinitionsRule.ExecutableDefinitionsRule, validation_rules_UniqueOperationNamesRule.UniqueOperationNamesRule, validation_rules_LoneAnonymousOperationRule.LoneAnonymousOperationRule, validation_rules_SingleFieldSubscriptionsRule.SingleFieldSubscriptionsRule, validation_rules_KnownTypeNamesRule.KnownTypeNamesRule, validation_rules_FragmentsOnCompositeTypesRule.FragmentsOnCompositeTypesRule, validation_rules_VariablesAreInputTypesRule.VariablesAreInputTypesRule, validation_rules_ScalarLeafsRule.ScalarLeafsRule, validation_rules_FieldsOnCorrectTypeRule.FieldsOnCorrectTypeRule, validation_rules_UniqueFragmentNamesRule.UniqueFragmentNamesRule, validation_rules_KnownFragmentNamesRule.KnownFragmentNamesRule, validation_rules_NoUnusedFragmentsRule.NoUnusedFragmentsRule, validation_rules_PossibleFragmentSpreadsRule.PossibleFragmentSpreadsRule, validation_rules_NoFragmentCyclesRule.NoFragmentCyclesRule, validation_rules_UniqueVariableNamesRule.UniqueVariableNamesRule, validation_rules_NoUndefinedVariablesRule.NoUndefinedVariablesRule, validation_rules_NoUnusedVariablesRule.NoUnusedVariablesRule, validation_rules_KnownDirectivesRule.KnownDirectivesRule, validation_rules_UniqueDirectivesPerLocationRule.UniqueDirectivesPerLocationRule, validation_rules_KnownArgumentNamesRule.KnownArgumentNamesRule, validation_rules_UniqueArgumentNamesRule.UniqueArgumentNamesRule, validation_rules_ValuesOfCorrectTypeRule.ValuesOfCorrectTypeRule, validation_rules_ProvidedRequiredArgumentsRule.ProvidedRequiredArgumentsRule, validation_rules_VariablesInAllowedPositionRule.VariablesInAllowedPositionRule, validation_rules_OverlappingFieldsCanBeMergedRule.OverlappingFieldsCanBeMergedRule, validation_rules_UniqueInputFieldNamesRule.UniqueInputFieldNamesRule ];

exports.specifiedSDLRules = specifiedSDLRules;
